%define name plotmtv
%define version 1.4.1
%define release 4mdk

Summary: A multipurpose X11 plotting program
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: freeware
Group: Sciences/Mathematics
Source: ftp://ftp.x.org/contrib/applications/Plotmtv1.4.1.tar.bz2
Patch0: plotmtv-1.4.1.patch.bz2
Patch1: plotmtv-1.4.1-readme.patch.bz2
Patch2: plotmtv-1.4.1-tests.patch.bz2
Buildroot: /var/tmp/%{name}-buildroot
Obsoletes: Plotmtv

%description
PLOTMTV is a multipurpose X11 plotting program. PLOTMTV's
capabilities include 2D line and scatter plots (x-vs-y), contour plots, 
3D surface, line and scatter plots as well as vector plots. The program has
a rough but functional Graphical User Interface, through which it is 
possible to zoom in, zoom out, pan, toggle between 2D and 3D plots, and
rotate 3D plots. Both color and grayscale postscript output are supported.

%prep
%setup -n Plotmtv1.4.1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
chmod -R a-s * .* *.*
xmkmf
make World

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{bin,man/man1}

rm -rf ./Tests/run.csh
cd ./Bin
install -s ctr2mtv drawplot2mtv pdraw2mtv mtv2mtv plotmtv \
	$RPM_BUILD_ROOT/usr/bin/
cd ../Docs
install plotmtv.man $RPM_BUILD_ROOT/usr/man/man1/plotmtv.1
bzip2 -9f $RPM_BUILD_ROOT/usr/man/man1/plotmtv.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README.INSTALL README.VERSION Plotmtv1.4.1.README
%doc Docs/DataFormat.ps.Z Utils/README Tests
/usr/bin/*
/usr/man/man1/*

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-4mdk
- fix group and files section

* Wed Aug 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adaptions.
- switched to xmkmf in build stage.

* Sat Mar 20 1999 Prabhu Ramachandran <prabhu@aero.iitm.ernet.in>
- version 1.4.1-2.
